package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 发货单信息数据子集(DrugInvoiceApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class DrugInvoiceApplyInfo extends Model<DrugInvoiceApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //统一社会信用代码
    private String tyshxydmscqy;
    //药品生产企业名称
    private String scqymc;
    //药品通用名称
    private String yptymc;
    //国家药品标识码
    private String gjypbsm;
    //药品生产批号
    private String ymscph;
    //统一社会信用代码(进口代理企业)
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    private String jkymdlqymc;
    //药品生产日期
    private Date scrq;
    //药品有效期截止日期
    private Date ymyxqjzrq;
    //发货数量
    private Integer fhsl;
    //剂型
    private String jx;
    //包装规格
    private String bzgg;
    //制剂规格
    private String zjgg;
    //包装转换比
    private Double bzzhb;
    //包装转换比单位
    private String bzzhbdw;
    //药品注册分类
    private String ypzcfl;
    //特殊药品管理分类
    private String tsypglfl;
    //药检报告签收状态
    private String yjbgqszt;
    //药检报告盖章状态
    private String yjbggzzt;
    //发货单编号
    private String fhdbh;
    //订货单编号
    private String dhdbh;
    //统一社会信用代码（发货机构）
    private String tyshxydmfhjg;
    //暂不用字段
    private String jzdwbmfhjg;
    //发货机构名称
    private String fhjgmc;
    //发货地址
    private String fhdz;
    //发货类型
    private String fhlx;
    //发货时间
    private Date fhsj;
    //统一社会信用代码（收货机构）
    private String tyshxydmshjg;
    //暂无
    private String jzdwbmshjg;
    //收货地址
    private String shdz;
    //收货机构名称
    private String shjgmc;
    //统一社会信用代码（派送单位）
    private String tyshxydmympsdw;
    //药品配送单位名称
    private String ympsdwmc;
    //单据验证状态
    private String djyzzt;
    //单据验证日期
    private Date djyzrq;
    //单据验证未通过原因
    private String djyzwtgyy;
    //发货单操作人
    private String fhdczr;
    //发货单上传时间
    private Date fhdscsj;
    //发货人
    private String fhr;
    //发货机构类型
    private String fhjglx;
    //收货机构类型
    private String shjglx;
    //发货机构小类
    private String fhjgxl;
    //收货机构小类
    private String shjgxl;
    //卫生机构代码（收货机构）
    private String wsjgdmshjg;
    //卫生机构代码（发货机构）
    private String wsjgdmfhjg;
    //执业许可证登记号/诊所备案编号（发货机构）
    private String zyxkzdjhfhjg;
    //执业许可证登记号/诊所备案编号（收货机构）
    private String zyxkzdjhshjg;
    //委托单位名称
    private String wtdwmc;
    //委托单位统一社会信用代码
    private String wtdwtyshxydm;
    //拒收标识
    private String jsbs;
    //拒收原因
    private String jsyy;
    //拒收时间
    private Date jssj;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

